
Core - Task # 52295

Task # 52304 (Resolved): Performance issues

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Caching
Created: 2013-09-26 Assigned To:
Updated: 2013-09-26 Due date:
TYPO3 Version: 6.0
PHP Version: 5.4
Complexity: medium
Sprint Focus:
Subject: Use SimpleFileBackend for t3lib_l10n cache
Description

Related issues:
related to Core - Bug # 52125: Saving records takes ages to complete Resolved 2013-09-19
related to Core - Bug # 52235: Timeout when copying pages recursively due to ... Resolved 2013-09-24

Associated revisions
Revision 3d0008fe - 2013-09-26 21:23 - Christian Kuhn

[TASK] Use SimpleFileBackend for t3lib_l10n cache

The language cache by default uses the FileBackend to store its data.
Language cache entries need to be deleted only if new extensions are
loaded and if new language overlays are fetched. They do not need
tagging and can have an unlimited lifetime.
Switching to SimpleFileBackend removes the tagging and sets unlimited
lifetime by to reduce read and write load on this cache.

Change-Id: I5c4778f4c38ae369b6873574e961fa65208d77a1
Resolves: #52295
Related: #52125
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/24064
Reviewed-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 52ff4008 - 2013-09-26 21:25 - Christian Kuhn

[TASK] Use SimpleFileBackend for t3lib_l10n cache

The language cache by default uses the FileBackend to store its data.
Language cache entries need to be deleted only if new extensions are
loaded and if new language overlays are fetched. They do not need
tagging and can have an unlimited lifetime.
Switching to SimpleFileBackend removes the tagging and sets unlimited
lifetime by to reduce read and write load on this cache.

Change-Id: I5c4778f4c38ae369b6873574e961fa65208d77a1
Resolves: #52295
Related: #52125
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/24064
Reviewed-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
(cherry picked from commit 3d0008feb8afa84b1f39ceeb017de2a2d4aca3e4)
Reviewed-on: https://review.typo3.org/24079

Revision d00db271 - 2013-09-26 21:35 - Christian Kuhn

[TASK] Use SimpleFileBackend for t3lib_l10n cache

The language cache by default uses the FileBackend to store its data.
Language cache entries need to be deleted only if new extensions are
loaded and if new language overlays are fetched. They do not need
tagging and can have an unlimited lifetime.
Switching to SimpleFileBackend removes the tagging and sets unlimited
lifetime by to reduce read and write load on this cache.

Change-Id: I5c4778f4c38ae369b6873574e961fa65208d77a1
Resolves: #52295
Related: #52125
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/24080
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-09-26 15:03 - Christian Kuhn
- Tracker changed from Bug to Task

#2 - 2013-09-26 15:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24064

#3 - 2013-09-26 15:09 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24064

#4 - 2013-09-26 16:10 - Christian Kuhn
- Parent task set to #52304

#5 - 2013-09-26 21:24 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/24079

#6 - 2013-09-26 21:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:52ff400809fa3aa3afbae9d48c9fd4ab294d5096.

#7 - 2013-09-26 21:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/24080

#8 - 2013-09-26 22:30 - Christian Kuhn
- Status changed from Under Review to Resolved

Applied in changeset commit:d00db271be442cba360a508ce969db6a74ee61a1.
